package dk.nsp.idsas.test.stepdefinitions;

import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.junit.Assert;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.ResponseEntity;
import org.springframework.web.client.RestTemplate;

public class HealthEndpointSteps {
    @Value("${health.endpoint}")
    private String healthEndpoint;

    private ResponseEntity<String> healthResponse;

    @When("Jeg tjekker servicens health endpoint")
    public void jegTjekkerServicensHealthEndpoint() {
        RestTemplate restTemplate = new RestTemplate();
        healthResponse = restTemplate.getForEntity(healthEndpoint, String.class);
    }

    @Then("Så burde jeg få et {int} OK tilbage")
    public void såBurdeJegFåEtOKTilbage(int arg0) {
        Assert.assertEquals(arg0, healthResponse.getStatusCodeValue());
    }
}
