package dk.nsp.idsas.configuration;

import org.apache.log4j.Logger;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;
import org.springframework.context.annotation.PropertySources;
import org.springframework.jdbc.datasource.SimpleDriverDataSource;

import javax.sql.DataSource;

@Configuration
@PropertySources({
        @PropertySource(value = "idsas.properties", encoding = "ISO-8859-1")
})
public class ServiceConfiguration {
    public static final String ANNOTATION_CONFIG_CONTEXT = "ANNOTATION_CONFIG_APPLICATION_CONTEXT";
    private static final Logger logger = Logger.getLogger(ServiceConfiguration.class);

    @Value("${FOOBAR}")
    public String foobar;

    @Bean
    public DataSource fakeDataSource() { // TODO: delete this method
        logger.info("fakeDataSource");
        return new SimpleDriverDataSource();
    }
}
